# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXValidPositionsBoundaryBox

Function

Computes the boundary box of the valid positions of an Object `o`.

Syntax
`
#include <dx/dx.h>
`

DXValidPositionsBoundaryBox(Object o, Point *box)

Functional Details

If `o` contains any invalid positions, this routine adds (to `o` or to any of its descendents that are Fields) a "valid box" component consisting of an Array of 2d points that are the corners of a boundary box (where d is the dimensionality of the data).

`Point` is defined as follows:

    typedef struct point {
        float x,y,z;
    } Point, Vector;

Notes:

1. For data of dimensionality three or less, the routine returns (in the Array pointed to by `box`) the eight corner points. For dimensionalities less than three, the extra dimensions of the box returned by the routine are treated as zero.

2. The boundary box returned by the routine is determined by combining the boundary boxes of all Fields contained in `o`.

3. Transformations are considered in computing the boundary box, but clipping objects are not. And the boundary box is not guaranteed to be the tightest possible.

Return Value

Returns `o` or returns `NULL` and might or might not set an error code, depending on the input. For example, it does not set an error code if a boundary box cannot be defined for the given input.

See Also

`DXBoundingBox, DXChangedComponentValues, DXChangedComponentStructure, DXEmptyField, DXEndField, DXEndObject, DXNeighbors, DXStatistics`

13.1 , "Error Handling and Messages".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]